﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SimpleM3VertexManipulator
{
    public partial class Form2 : Form
    {
        public float resX, resY, resZ;

        public Form2()
        {
            InitializeComponent();
        }

        private void btnOkay_Click(object sender, EventArgs e)
        {
            bool errX = false, errY = false, errZ = false;

            if (!Single.TryParse(txtXScale.Text, out resX))
            {
                errX = true;
            }
            if (!Single.TryParse(txtYScale.Text, out resY))
            {
                errY = true;
            }
            if (!Single.TryParse(txtZScale.Text, out resZ))
            {
                errZ = true;
            }

            if (errX || errY || errZ)
            {
                string tStr = "The following values are invalid: '";
                if (errX) tStr += txtXScale.Text + "', '";
                if (errY) tStr += txtYScale.Text + "', '";
                if (errZ) tStr += txtZScale.Text + "', '";

                MessageBox.Show(tStr.Substring(0, tStr.Length - 3)); //Cut off the last comma, space, and single-quote.
                return;
            }

            DialogResult = DialogResult.OK;
            Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            Close();
        }
    }
}
