﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace SimpleM3VertexManipulator
{
    class matListItem
    {
        public uint buffLoc = 0;
        public string matName = "";
        public uint nameLengthIndex1 = 0;
        public uint nameLengthIndex2 = 0;
        public uint specularMultIndex = 0;
        public uint emissiveMultIndex = 0;
        //TODO: Add in other variables now.

        public matListItem(uint nameLenIdx1, uint nameLenIdx2, uint nameStart, string mName)
        {
            nameLengthIndex1 = nameLenIdx1;
            nameLengthIndex2 = nameLenIdx2;
            matName = mName;
            buffLoc = nameStart;
            specularMultIndex = nameLenIdx1 + 11; //44 bytes later
            emissiveMultIndex = nameLenIdx1 + 12;
            //Layers start at + 13 (52 bytes)
        }

        override public string ToString()
        {
            return matName;
        }
    }
}
